Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.policy
Class SandeshaPolicyBean

    java.lang.Object
      org.apache.sandesha2.policy.SandeshaPolicyBean

All Implemented Interfaces:
  org.apache.neethi.Assertion, org.apache.neethi.PolicyComponent

    public class SandeshaPolicyBean

extends java.lang.Object
implements org.apache.neethi.Assertion

Used to hold peoperties loaded from sandesha2.properties file or Sandesha2Constants.

Constructor Summary
`SandeshaPolicyBean()`

Method Summary
`void` | `addMsgTypeToDrop(java.lang.Integer typeNo)`
`boolean` | `equal(org.apache.neethi.PolicyComponent policyComponent)`
`long` | `getAcknowledgementInterval()`
`java.lang.String` | `getContextManagerClass()`
`java.lang.String` | `getEPRDecoratorClass()`
`long` | `getInactivityTimeoutInterval()`
`java.lang.String` | `getInMemoryStorageManagerClass()`
`int` | `getMaximumRetransmissionCount()`
`java.util.ArrayList<java.lang.Integer>` | `getMsgTypesToDrop()`
`javax.xml.namespace.QName` | `getName()`
`SandeshaPolicyBean` | `getParent()`
`java.lang.String` | `getPermanentStorageManagerClass()`
`long` | `getRetransmissionInterval()`
`java.lang.String` | `getSecurityManagerClass()`
`long` | `getSequenceRemovalTimeoutInterval()`
`short` | `getType()`
`protected boolean` | `isAcknowledgementIntervalSet()`
`boolean` | `isEnableMakeConnection()`
`protected boolean` | `isEnableMakeConnectionSet()`
`boolean` | `isEnableRMAnonURI()`
`protected boolean` | `isEnableRMAnonURISet()`
`boolean` | `isEnforceRM()`
`protected boolean` | `isEnforceRMSet()`
`boolean` | `isExponentialBackoff()`
`protected boolean` | `isExponentialBackoffSet()`
`protected boolean` | `isInactiveTimeoutValueSet()`
`protected boolean` | `isInactivityTimeoutIntervalSet()`
`boolean` | `isInOrder()`
`protected boolean` | `isInOrderSet()`
`protected boolean` | `isMaximumRetransmissionCountSet()`
`boolean` | `isOptional()`
`protected boolean` | `isRetransmissionIntervalSet()`
`protected boolean` | `isSequenceRemovalTimeoutValueSet()`
`boolean` | `isUseMessageSerialization()`
`protected boolean` | `isUseMessageSerializationSet()`
`org.apache.neethi.PolicyComponent` | `normalize()`
`void` | `serialize(javax.xml.stream.XMLStreamWriter writer)`
`void` | `setAcknowledgementInterval(long acknowledgementInterval)`
`protected void` | `setAcknowledgementIntervalSet(boolean acknowledgementIntervalSet)`
`void` | `setContextManagerClass(java.lang.String className)`
`void` | `setEnableMakeConnection(boolean enableMakeConnection)`
`protected void` | `setEnableMakeConnectionSet(boolean enableMakeConnectionSet)`
`void` | `setEnableRMAnonURI(boolean enableRMAnonURI)`
`protected void` | `setEnableRMAnonURISet(boolean enableRMAnonURISet)`
`void` | `setEnforceRM(boolean enforceRM)`
`protected void` | `setEnforceRMSet(boolean enforceRMSet)`
`void` | `setEPRDecoratorClass(java.lang.String className)`
`void` | `setExponentialBackoff(boolean exponentialBackoff)`
`protected void` | `setExponentialBackoffSet(boolean exponentialBackoffSet)`
`void` | `setInactiveTimeoutInterval(long value, java.lang.String measure)`
`void` | `setInactiveTimeoutValue(long inactiveTimeoutValue)`
`protected void` | `setInactiveTimeoutValueSet(boolean inactiveTimeoutValueSet)`
`protected void` | `setInactivityTimeoutIntervalSet(boolean inactivityTimeoutIntervalSet)`
`void` | `setInactivityTimeoutMeasure(java.lang.String inactivityTimeoutMeasure)`
`void` | `setInMemoryStorageManagerClass(java.lang.String inMemoryStorageManagerClass)`
`void` | `setInOrder(boolean inOrder)`
`protected void` | `setInOrderSet(boolean inOrderSet)`
`void` | `setMaximumRetransmissionCount(int maximumRetransmissionCount)`
`protected void` | `setMaximumRetransmissionCountSet(boolean maximumRetransmissionCountSet)`
`void` | `setMsgTypesToDrop(java.util.ArrayList<java.lang.Integer> msgTypesToDrop)`
`void` | `setParent(SandeshaPolicyBean parent)`
`void` | `setPermanentStorageManagerClass(java.lang.String permanentStorageManagerClass)`
`void` | `setRetransmissionInterval(long retransmissionInterval)`
`protected void` | `setRetransmissionIntervalSet(boolean retransmissionIntervalSet)`
`void` | `setSecurityManagerClass(java.lang.String className)`
`void` | `setSequenceRemovalTimeoutInterval(long value, java.lang.String measure)`
`void` | `setSequenceRemovalTimeoutMeasure(java.lang.String sequenceRemovalTimeoutMeasure)`
`void` | `setSequenceRemovalTimeoutValue(long sequenceRemovalTimeoutValue)`
`protected void` | `setSequenceRemovalTimeoutValueSet(boolean sequenceRemovalTimeoutIntervalSet)`
`void` | `setUseMessageSerialization(boolean useMessageSerialization)`
`protected void` | `setUseMessageSerializationSet(boolean useMessageSerializationSet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SandeshaPolicyBean

    public SandeshaPolicyBean()

Method Detail

### setInactiveTimeoutInterval

    public void setInactiveTimeoutInterval(long value,
                                           java.lang.String measure)

### setSequenceRemovalTimeoutInterval

    public void setSequenceRemovalTimeoutInterval(long value,
                                                  java.lang.String measure)

### setAcknowledgementInterval

    public void setAcknowledgementInterval(long acknowledgementInterval)

### getInMemoryStorageManagerClass

    public java.lang.String getInMemoryStorageManagerClass()

### setInMemoryStorageManagerClass

    public void setInMemoryStorageManagerClass(java.lang.String inMemoryStorageManagerClass)

### getPermanentStorageManagerClass

    public java.lang.String getPermanentStorageManagerClass()

### setPermanentStorageManagerClass

    public void setPermanentStorageManagerClass(java.lang.String permanentStorageManagerClass)

### isInOrder

    public boolean isInOrder()

### setInOrder

    public void setInOrder(boolean inOrder)

### getMsgTypesToDrop

    public java.util.ArrayList<java.lang.Integer> getMsgTypesToDrop()

### setMsgTypesToDrop

    public void setMsgTypesToDrop(java.util.ArrayList<java.lang.Integer> msgTypesToDrop)

### addMsgTypeToDrop

    public void addMsgTypeToDrop(java.lang.Integer typeNo)

### getMaximumRetransmissionCount

    public int getMaximumRetransmissionCount()
                                      throws SandeshaException

  Throws:
    `SandeshaException`

### setMaximumRetransmissionCount

    public void setMaximumRetransmissionCount(int maximumRetransmissionCount)

### getSecurityManagerClass

    public java.lang.String getSecurityManagerClass()

### setSecurityManagerClass

    public void setSecurityManagerClass(java.lang.String className)

### getEPRDecoratorClass

    public java.lang.String getEPRDecoratorClass()

### setEPRDecoratorClass

    public void setEPRDecoratorClass(java.lang.String className)

### getContextManagerClass

    public java.lang.String getContextManagerClass()

### setContextManagerClass

    public void setContextManagerClass(java.lang.String className)

### getName

    public javax.xml.namespace.QName getName()

  Specified by:
    `getName` in interface `org.apache.neethi.Assertion`

### isOptional

    public boolean isOptional()

  Specified by:
    `isOptional` in interface `org.apache.neethi.Assertion`

### normalize

    public org.apache.neethi.PolicyComponent normalize()

  Specified by:
    `normalize` in interface `org.apache.neethi.Assertion`

### serialize

    public void serialize(javax.xml.stream.XMLStreamWriter writer)
                   throws javax.xml.stream.XMLStreamException

  Specified by:
    `serialize` in interface `org.apache.neethi.Assertion`
  Specified by:
    `serialize` in interface `org.apache.neethi.PolicyComponent`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getType

    public short getType()

  Specified by:
    `getType` in interface `org.apache.neethi.PolicyComponent`

### isExponentialBackoff

    public boolean isExponentialBackoff()
                                 throws SandeshaException

  Throws:
    `SandeshaException`

### setExponentialBackoff

    public void setExponentialBackoff(boolean exponentialBackoff)

### getRetransmissionInterval

    public long getRetransmissionInterval()
                                   throws SandeshaException

  Throws:
    `SandeshaException`

### setRetransmissionInterval

    public void setRetransmissionInterval(long retransmissionInterval)

### getAcknowledgementInterval

    public long getAcknowledgementInterval()
                                    throws SandeshaException

  Throws:
    `SandeshaException`

### getInactivityTimeoutInterval

    public long getInactivityTimeoutInterval()

### getSequenceRemovalTimeoutInterval

    public long getSequenceRemovalTimeoutInterval()

### setInactiveTimeoutValue

    public void setInactiveTimeoutValue(long inactiveTimeoutValue)

### setInactivityTimeoutMeasure

    public void setInactivityTimeoutMeasure(java.lang.String inactivityTimeoutMeasure)

### setSequenceRemovalTimeoutValue

    public void setSequenceRemovalTimeoutValue(long sequenceRemovalTimeoutValue)

### setSequenceRemovalTimeoutMeasure

    public void setSequenceRemovalTimeoutMeasure(java.lang.String sequenceRemovalTimeoutMeasure)

### isEnableMakeConnection

    public boolean isEnableMakeConnection()

### setEnableMakeConnection

    public void setEnableMakeConnection(boolean enableMakeConnection)

### isEnableRMAnonURI

    public boolean isEnableRMAnonURI()

### setEnableRMAnonURI

    public void setEnableRMAnonURI(boolean enableRMAnonURI)

### isUseMessageSerialization

    public boolean isUseMessageSerialization()
                                      throws SandeshaException

  Throws:
    `SandeshaException`

### setUseMessageSerialization

    public void setUseMessageSerialization(boolean useMessageSerialization)

### equal

    public boolean equal(org.apache.neethi.PolicyComponent policyComponent)

  Specified by:
    `equal` in interface `org.apache.neethi.PolicyComponent`

### isEnforceRM

    public boolean isEnforceRM()
                        throws SandeshaException

  Throws:
    `SandeshaException`

### setEnforceRM

    public void setEnforceRM(boolean enforceRM)

### isAcknowledgementIntervalSet

    protected boolean isAcknowledgementIntervalSet()

### setAcknowledgementIntervalSet

    protected void setAcknowledgementIntervalSet(boolean acknowledgementIntervalSet)

### isEnableMakeConnectionSet

    protected boolean isEnableMakeConnectionSet()

### setEnableMakeConnectionSet

    protected void setEnableMakeConnectionSet(boolean enableMakeConnectionSet)

### isEnableRMAnonURISet

    protected boolean isEnableRMAnonURISet()

### setEnableRMAnonURISet

    protected void setEnableRMAnonURISet(boolean enableRMAnonURISet)

### isEnforceRMSet

    protected boolean isEnforceRMSet()

### setEnforceRMSet

    protected void setEnforceRMSet(boolean enforceRMSet)

### isExponentialBackoffSet

    protected boolean isExponentialBackoffSet()

### setExponentialBackoffSet

    protected void setExponentialBackoffSet(boolean exponentialBackoffSet)

### isInactiveTimeoutValueSet

    protected boolean isInactiveTimeoutValueSet()

### setInactiveTimeoutValueSet

    protected void setInactiveTimeoutValueSet(boolean inactiveTimeoutValueSet)

### setSequenceRemovalTimeoutValueSet

    protected void setSequenceRemovalTimeoutValueSet(boolean sequenceRemovalTimeoutIntervalSet)

### isSequenceRemovalTimeoutValueSet

    protected boolean isSequenceRemovalTimeoutValueSet()

### isInactivityTimeoutIntervalSet

    protected boolean isInactivityTimeoutIntervalSet()

### setInactivityTimeoutIntervalSet

    protected void setInactivityTimeoutIntervalSet(boolean inactivityTimeoutIntervalSet)

### isInOrderSet

    protected boolean isInOrderSet()

### setInOrderSet

    protected void setInOrderSet(boolean inOrderSet)

### isMaximumRetransmissionCountSet

    protected boolean isMaximumRetransmissionCountSet()

### setMaximumRetransmissionCountSet

    protected void setMaximumRetransmissionCountSet(boolean maximumRetransmissionCountSet)

### isRetransmissionIntervalSet

    protected boolean isRetransmissionIntervalSet()

### setRetransmissionIntervalSet

    protected void setRetransmissionIntervalSet(boolean retransmissionIntervalSet)

### isUseMessageSerializationSet

    protected boolean isUseMessageSerializationSet()

### setUseMessageSerializationSet

    protected void setUseMessageSerializationSet(boolean useMessageSerializationSet)

### getParent

    public SandeshaPolicyBean getParent()

### setParent

    public void setParent(SandeshaPolicyBean parent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.